BLOCKDEV(8)

NAMN
blockdev - anropa blockenhetens ioctls från kommandoraden

SYNOPSIS

blockdev [-q] [-v] kommando [kommando...] enhet [enhet...]

blockdev --report [enhet...]

blockdev -h|-V

BESKRIVNING

Med hjälp av verktyget blockdev kan man anropa blockenhetens ioctls från kommandoraden.

FLAGGOR

-q
    Var tyst.

-v
    Var utförlig.

--report
    Skriv ut en rapport för den angivna enheten. Det är möjligt att ange flera enheter. Om ingen enhet anges visas alla enheter som finns i /proc/partitions. Observera att partitionen StartSec är i 512-byte-sektorer.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

KOMMANDON

Det är möjligt att ge flera enheter och flera kommandon.

--flushbufs
    Spola buffertar.

--getalignoff
    Hämta offset för justering.

--getbsz
    Skriv ut blockstorleken i byte. Denna storlek beskriver inte enhetens topologi. Det är den storlek som används internt av kärnan och den kan ändras (t.ex.) av filsystemets drivrutin vid montering.

--getdiscardzeroes
    Hämta status för stöd för nollor som kastas bort.

--getdiskseq
    Hämta diskens sekvensnummer.

--getzonesz
    Hämta zonstorlek i 512-byte-sektorer.

--getfra
    Hämta filsystemets readahead i 512-byte-sektorer.

--getiomin
    Hämta minsta I/O-storlek.

--getioopt
    Få optimal I/O-storlek.

--getmaxsect
    Hämta max antal sektorer per förfrågan.

--getpbsz
    Hämta storlek på fysiskt block (sektor).

--getra
    Skriv ut readahead (i 512-byte-sektorer).

--getro
    Hämta skrivskyddad. Skriv ut 1 om enheten är skrivskyddad, 0 annars.

--getsize64
    Skriv ut enhetens storlek i byte.

--getsize
    Skriv ut enhetens storlek (32-bitars!) i sektorer. Föråldrad till förmån för flaggan --getsz.

--getss
    Skriv ut logisk sektorstorlek i byte - vanligtvis 512.

--getsz
    Hämta storlek i 512-byte-sektorer.

--rereadpt
    Läs igenom partitionstabellen igen.

--setbsz bytes
    Ställ in blockstorlek. Observera att blockstorleken är specifik för den aktuella filbeskrivaren som öppnar blockenheten, så ändringen av blockstorleken kvarstår bara så länge som blockdev har enheten öppen och går förlorad när blockdev avslutas.

--setfra sektorer
    Ställ in filsystemets readahead (samma som --setra på 2.6-kärnor).

--setra sektorer
    Ställ in readahead (i 512-byte-sektorer).

--setro
    Ställ in skrivskyddad. Den aktuella aktiva åtkomsten till enheten kanske inte påverkas av ändringen. Ett filsystem som redan är monterat i skrivlägesläge påverkas t.ex. inte. Ändringen gäller efter återmontering.

--setrw
    Ställ in läs-skriv.

UPPHOVSPERSONER

blockdev skrevs av Andries E. Brouwer och skrevs om av Karel Zak.

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot blockdev ingår i paketet util-linux som kan hämtas från